UMOUNT(8)

NAME
umount - unmount file systems

SYNOPSIS
umount [-fvFR] [-t fstypelist] special | node
umount -a [-fvF] [-h host] [-t fstypelist]

DESCRIPTION
The umount command calls the unmount(2) system call (or an external unmount program) to remove a special device or the remote node (rhost:path) from the file system tree at the point node. If either special or node are not provided, the appropriate information is taken from the fstab(5) file.

By default, the file system type is extracted from the kernel and used to choose an external unmount program, whose name is formed by appending an underscore and the type string to “umount”. This matches the form used by the external mount programs used by mount(8). If this program is found on the path, it is used in preference to calling unmount(2) directly. Note that in the NetBSD base system no such external unmount programs exist; the facility is provided in the hopes that it will be useful for third party file systems and/or for research.

The options are as follows:

-a  All the currently mounted file systems except the root are unmounted.

-f  The file system is forcibly unmounted. Active special devices continue to work, but all other files return errors if further accesses are attempted. The root file system cannot be forcibly unmounted.

-F  Fake the unmount; perform all other processing but do not actually attempt the unmount. (This is most useful in conjunction with -v, to see what umount would attempt to do).

-R  Take the special | node argument as a path to be passed directly to unmount(2), bypassing all attempts to be smart about mechanically determining the correct path from the argument. This option is incompatible with any option that potentially unmounts more than one file system, such as -a, but it can be used with -f and/or -v. This is the only way to unmount something that does not appear as a directory (such as a nullfs mount of a plain file); there are probably other cases where it is necessary. This option also disables the use of any external unmount program.

-h host
    Only file systems mounted from the specified host will be unmounted. This option implies the -a option and, unless otherwise specified with the -t option, will only unmount NFS file systems.

-t fstypelist
    Is used to indicate the actions should only be taken on file systems of the specified type. More than one type may be specified in a comma separated list. The list of file system types can be prefixed with “no” to specify the file system types for which action should not be taken. For example, the umount command:

        umount -a -t nfs,mfs

    unmounts all file systems of the type NFS and MFS, whereas the umount command:

        umount -a -t nonfs,mfs

    unmounts all file systems except those of type NFS and MFS.

-v  Verbose, additional information is printed out as each file system is unmounted.

FILES
/etc/fstab
    file system table

SEE ALSO
unmount(2), fstab(5), mount(8)

HISTORY
A umount command appeared in AT&T UNIX.